Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deSubVertexBuffer Class Reference

`#include <deVBuffer_priv.hpp>`

Inheritance diagram for deSubVertexBuffer:

[legend]
Collaboration diagram for deSubVertexBuffer:

[legend]
List of all members.

## Public Member Functions
| deSubVertexBuffer (deVertexBuffer *Composite)
| deSubVertexBuffer (const IdeVertexBuffer &S)
const IdeVertexBuffer & | operator= (const IdeVertexBuffer &S)
void * | GetBuffer (BufferType Type) const
long | GetVertexCount () const
long | GetVertexStart () const
long | GetIndexCount () const
long | GetIndexStart () const
long | GetTriCount () const
deBoolean | CalcTriCount ()
deBoolean | GetDynamicStatusVertex () const
deBoolean | GetDynamicStatusIndex () const
void | SetDynamicStatus (deBoolean Vertex, deBoolean Index)
RenderType | GetRenderType () const
deBoolean | SetRenderType (RenderType Type)
deBoolean | SetBufferSize (long EntryCount, deBoolean IndicesNotVertices=deFALSE)
deBoolean | CreateBuffer (BufferType Type, deBoolean Clear)
deBoolean | DestroyBuffer (BufferType Type)
deBoolean | FillBuffer (BufferType Type, const void *Buffer, long StartEntry, long EntryCount)
void | DirtyBuffer (BufferType Type)
deBoolean | BufferExists (BufferType Type) const
deBoolean | BindDataBuffer (IdeVertexBuffer *DataBuffer)
IdeVertexBuffer * | GetBoundDataBuffer () const
BufferDataType | GetBufferDataType (BufferType Type, long *Size) const
deBoolean | Lock ()
deBoolean | Unlock ()
deBoolean | SetDriverBuffer (long ID, void *Buffer, IdeDriver *Driver)
void * | GetDriverBuffer (long ID, long *BufferUpdateList) const
deBoolean | AddVertexShader (void *ShaderData, long ShaderSize)
void * | GetVertexShader (long *ShaderSize) const
deBoolean | DestroyVertexShader ()
VBufferType | GetVBufferType () const
IdeVertexBuffer * | GetParentBuffer () const
void | SetVertexStart (long Start)
void | SetIndexStart (long Start)
void * | GetVertexEntry ()
void * | GetIndexEntry ()
void * | GetListEntry ()
void | SetVertexEntry (void *Entry)
void | SetIndexEntry (void *Entry)
void | SetListEntry (void *Entry)
## Protected Member Functions
| ~deSubVertexBuffer ()
## Private Member Functions
void | CopyInternalData (const deVertexBuffer &SourceVertexBuffer)
## Private Attributes
long | m_Locked
IdeVertexBuffer * | m_DataBuffer
long | m_VertexCount
long | m_IndexCount
long | m_TriCount
RenderType | m_RenderType
deTList< DriverBufferEntry > | m_DriverBuffer
deVertexBuffer * | m_CompositeBuffer
long | m_CompositeVertexStart
long | m_CompositeIndexStart
void * | m_VertexEntry
void * | m_IndexEntry
void * | m_ListEntry

## Constructor & Destructor Documentation

deSubVertexBuffer::~deSubVertexBuffer | ( |  | ) | `[protected]`

deSubVertexBuffer::deSubVertexBuffer | ( | deVertexBuffer * | Composite | ) |

deSubVertexBuffer::deSubVertexBuffer | ( | const IdeVertexBuffer & | S | ) |

## Member Function Documentation

deBoolean deSubVertexBuffer::AddVertexShader | ( | void * | ShaderData,
|  | long | ShaderSize
| ) |

deBoolean deSubVertexBuffer::BindDataBuffer | ( | IdeVertexBuffer * | DataBuffer | ) | `[virtual]`

| Implements IdeVertexBuffer.

deBoolean deSubVertexBuffer::BufferExists | ( | BufferType | Type | ) | const`[virtual]`

| Implements IdeVertexBuffer.

deBoolean deSubVertexBuffer::CalcTriCount | ( |  | ) | `[virtual]`

| Implements IdeVertexBuffer.

void deSubVertexBuffer::CopyInternalData | ( | const deVertexBuffer & | SourceVertexBuffer | ) | `[private]`

deBoolean deSubVertexBuffer::CreateBuffer | ( | BufferType | Type,
|  | deBoolean | Clear
| ) | `[virtual]`

| Implements IdeVertexBuffer.

deBoolean deSubVertexBuffer::DestroyBuffer | ( | BufferType | Type | ) | `[virtual]`

| Implements IdeVertexBuffer.

deBoolean deSubVertexBuffer::DestroyVertexShader | ( |  | ) |

void deSubVertexBuffer::DirtyBuffer | ( | BufferType | Type | ) | `[virtual]`

| Implements IdeVertexBuffer.

deBoolean deSubVertexBuffer::FillBuffer | ( | BufferType | Type,
|  | const void * | Buffer,
|  | long | StartEntry,
|  | long | EntryCount
| ) | `[virtual]`

| Implements IdeVertexBuffer.

IdeVertexBuffer * deSubVertexBuffer::GetBoundDataBuffer | ( |  | ) | const`[virtual]`

| Implements IdeVertexBuffer.

void * deSubVertexBuffer::GetBuffer | ( | BufferType | Type | ) | const`[virtual]`

| Implements IdeVertexBuffer.

IdeVertexBuffer::BufferDataType deSubVertexBuffer::GetBufferDataType | ( | BufferType | Type,
|  | long * | Size
| ) | const`[virtual]`

| Implements IdeVertexBuffer.

void * deSubVertexBuffer::GetDriverBuffer | ( | long | ID,
|  | long * | BufferUpdateList
| ) | const`[virtual]`

| Implements IdeVertexBuffer.

deBoolean deSubVertexBuffer::GetDynamicStatusIndex | ( |  | ) | const`[virtual]`

| Implements IdeVertexBuffer.

deBoolean deSubVertexBuffer::GetDynamicStatusVertex | ( |  | ) | const`[virtual]`

| Implements IdeVertexBuffer.

long deSubVertexBuffer::GetIndexCount | ( |  | ) | const`[virtual]`

| Implements IdeVertexBuffer.

void * deSubVertexBuffer::GetIndexEntry | ( |  | ) |

long deSubVertexBuffer::GetIndexStart | ( |  | ) | const`[virtual]`

| Implements IdeVertexBuffer.

void * deSubVertexBuffer::GetListEntry | ( |  | ) |

IdeVertexBuffer * deSubVertexBuffer::GetParentBuffer | ( |  | ) | const`[virtual]`

| Implements IdeVertexBuffer.

IdeVertexBuffer::RenderType deSubVertexBuffer::GetRenderType | ( |  | ) | const`[virtual]`

| Implements IdeVertexBuffer.

long deSubVertexBuffer::GetTriCount | ( |  | ) | const`[virtual]`

| Implements IdeVertexBuffer.

IdeVertexBuffer::VBufferType deSubVertexBuffer::GetVBufferType | ( |  | ) | const`[virtual]`

| Implements IdeVertexBuffer.

long deSubVertexBuffer::GetVertexCount | ( |  | ) | const`[virtual]`

| Implements IdeVertexBuffer.

void * deSubVertexBuffer::GetVertexEntry | ( |  | ) |

void* deSubVertexBuffer::GetVertexShader | ( | long * | ShaderSize | ) | const

long deSubVertexBuffer::GetVertexStart | ( |  | ) | const`[virtual]`

| Implements IdeVertexBuffer.

deBoolean deSubVertexBuffer::Lock | ( |  | ) | `[virtual]`

| Implements IdeVertexBuffer.

const IdeVertexBuffer & deSubVertexBuffer::operator= | ( | const IdeVertexBuffer & | S | ) | `[virtual]`

| Implements IdeVertexBuffer.

deBoolean deSubVertexBuffer::SetBufferSize | ( | long | EntryCount,
|  | deBoolean | IndicesNotVertices = deFALSE
| ) | `[virtual]`

| Implements IdeVertexBuffer.

deBoolean deSubVertexBuffer::SetDriverBuffer | ( | long | ID,
|  | void * | Buffer,
|  | IdeDriver * | Driver
| ) | `[virtual]`

| Implements IdeVertexBuffer.

void deSubVertexBuffer::SetDynamicStatus | ( | deBoolean | Vertex,
|  | deBoolean | Index
| ) | `[virtual]`

| Implements IdeVertexBuffer.

void deSubVertexBuffer::SetIndexEntry | ( | void * | Entry | ) |

void deSubVertexBuffer::SetIndexStart | ( | long | Start | ) |

void deSubVertexBuffer::SetListEntry | ( | void * | Entry | ) |

deBoolean deSubVertexBuffer::SetRenderType | ( | RenderType | Type | ) | `[virtual]`

| Implements IdeVertexBuffer.

void deSubVertexBuffer::SetVertexEntry | ( | void * | Entry | ) |

void deSubVertexBuffer::SetVertexStart | ( | long | Start | ) |

deBoolean deSubVertexBuffer::Unlock | ( |  | ) | `[virtual]`

| Implements IdeVertexBuffer.

## Member Data Documentation

deVertexBuffer* deSubVertexBuffer::m_CompositeBuffer`[private]`

long deSubVertexBuffer::m_CompositeIndexStart`[private]`

long deSubVertexBuffer::m_CompositeVertexStart`[private]`

IdeVertexBuffer* deSubVertexBuffer::m_DataBuffer`[private]`

deTList<DriverBufferEntry> deSubVertexBuffer::m_DriverBuffer`[private]`

long deSubVertexBuffer::m_IndexCount`[private]`

void* deSubVertexBuffer::m_IndexEntry`[private]`

void* deSubVertexBuffer::m_ListEntry`[private]`

long deSubVertexBuffer::m_Locked`[private]`

RenderType deSubVertexBuffer::m_RenderType`[private]`

long deSubVertexBuffer::m_TriCount`[private]`

long deSubVertexBuffer::m_VertexCount`[private]`

void* deSubVertexBuffer::m_VertexEntry`[private]`

The documentation for this class was generated from the following files:

- deVBuffer_priv.hpp
- VertexBuffer.cpp